import torch
import torch.nn as nn

class Model(nn.Module):
    def __init__(self):
        super(Model, self).__init__()

    def forward(self, x: torch.Tensor) -> torch.Tensor:
        x2 = x * x
        x3 = x2 * x
        x5 = x3 * x2
        t5 = 16.0 * x5 - 20.0 * x3 + 5.0 * x
        return torch.square(torch.abs(t5))

batch_size = 128
input_dim = 1024

def get_inputs():
    x = torch.randn(batch_size, input_dim)
    return [x]

def get_init_inputs():
    return []